type BTTV_Emote = {
  id: string;
  code: string;
  imageType: string;
  animated: boolean;
  user: any;
};

export async function bttv_get_url(
  code: string,
): Promise<[string, string] | null> {
  const res = await fetch(
    `https://api.betterttv.net/3/emotes/shared/search?query=${code}&offset=0&limit=50`,
  );
  const content = await res.json();

  if (!Array.isArray(content)) return null;
  const matches = (content as BTTV_Emote[]).filter(
    (be) => be.code.toLowerCase() == code.toLowerCase(),
  );

  if (matches.length <= 0) return null;

  return [
    code,
    `//cdn.betterttv.net/emote/${matches[0].id}/1x.${matches[0].imageType}`,
  ];
}
